### Method

# Gtk PrintSettingsget_int_with_default

#### Declaration [src]

    int
    gtk_print_settings_get_int_with_default (
      GtkPrintSettings* settings,
      const char* key,
      int def
    )

#### Description [src]

Returns the value of `key`, interpreted as an integer, or the default value.

#### Parameters

`key`

  Type: `const char*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`def`

  Type: `int`

  The default value.

#### Return value

Type: `int`

The integer value of `key`.